package cz.cvut.fel.pr2;

public class MountainBike extends Bicycle {
    private String suspension;
    public MountainBike(int startCadence, int startSpeed, int startGear, Color color, String suspension) {
        super(startCadence, startSpeed, startGear, color);
        this.suspension = suspension;
    }

    @Override
    public void printDescription() {
        super.printDescription();
        System.out.println("The MountainBike has " + suspension + " suspension.");
    }

    @Override
    public void visit(BicycleVisitor visitor) {
        visitor.accept(this);
    }
}
