package cz.cvut.fel.pr2;

public class RoadBike extends Bicycle {
    private int tireWidth;

    public RoadBike(int startCadence, int startSpeed, int startGear, Color color, int tireWidth) {
        super(startCadence, startSpeed, startGear, color);
        this.tireWidth = tireWidth;
    }

    @Override
    public void printDescription() {
        super.printDescription();
        System.out.println("The RoadBike has " + tireWidth + "mm tires.");
    }

    @Override
    public void visit(BicycleVisitor visitor) {
        visitor.accept(this);
    }
}
